Microsoft.Web.Infrastructure Version 1.0.0.0 be installed in the Global Assembly Cache first

Apr 29, 2013 at 1:43 PM
I have Windows 8 and Microsoft Visual Studio Express 2012 for Windows Phone installed in WMWare virtual PC.

For some time ago I have downloaded WindowsPhonePowerTools (Click once application). It has been running well.

The VS Express 2012 has been notifying me that there are some updates available. Last Tuesday I installed the updates. VS Express runs well, but WindowsPhonePowerTools doesn't anymore.

It says: Unable to install or run the application. The application requires that assembly Microsoft.Web.Infrastructure Version 1.0.0.0 be installed in the Global Assembly Cache (GAC) first.

I searched the web to find a way to have a look in GAC. The guides are for Windows 7, for. example http://msdn.microsoft.com/en-us/library/ex0ss12c.aspx

How can I have a look in GAC in Windows 8?
How can I install Microsoft.Web.Infrastructure Version 1.0.0.0 in GAC?

I have just downloaded the latest version of the WindowsPhonePowerTools but the problem still exists.

Thanks if anyone can help me.
Coordinator
May 1, 2013 at 6:22 AM
Hey Liisa57,

This is now fixed in 2.5.07 :)

Oren
May 2, 2013 at 2:15 PM
Thanks a lot. It works! :) :)